プレイリスト一覧

GET/playlists

公開プレイリストを検索・一覧取得します。

認証不要

クエリパラメータ

pagenumber

ページ番号(1 始まり)。デフォルト 1

perPagenumber

1 ページあたりの件数。デフォルト 20

qstring

キーワード(name / description、AND)

sort'created' | 'updated'

並び順。デフォルト created

featured'true'

注目のみ

レスポンス

フィールド説明
playlistsPlaylist[]プレイリスト配列(itemCount / community 付き)
pageInfoobjectページ情報(totalCount / totalPages / page / perPage)
リクエスト
curl https://api.4s.link/playlists \
-H "Authorization: Bearer 4s_at_..."
レスポンス例
{
"playlists": [
{
"id": "pl1-...",
"communityId": "c1d2e3f4-...",
"name": "おすすめイベント",
"description": "...",
"thumbnailImageUrl": "https://.../thumb.png",
"sortOrder": 0,
"sticky": false,
"featured": false,
"itemCount": 5,
"community": { "id": "c1d2e3f4-...", "name": "4S Developers", "slug": "4s-devs" },
"createdAt": "2026-01-01T00:00:00.000Z"
}
],
"pageInfo": { "totalCount": 100, "totalPages": 5, "page": 1, "perPage": 20 }
}